## ayatana-indicator-application 0.5.2

=== debian/changelog ===
ayatana-indicator-application (0.5.2-2) unstable; urgency=medium

  * debian/changelog: post-upload changelog fix for 0.5.2-1
  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.2.0. No changes needed.
    + White-space fix.
    + Drop now inherent build-dep dh-autoreconf.
  * debian/copyright:
    + Use secure URI to obtain copyright format reference.
  * debian/watch:
    + Use secure URL to obtain upstream tarball.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 16 Aug 2018 16:52:47 +0200

ayatana-indicator-application (0.5.2-1) unstable; urgency=medium

  * Upload to unstable.

  * New upstream release.
  * debian/{control,copyright,watch}:
    + Update to new upstream URLs.
  * debian/control:
    + Bump to new Standards-Version: 4.1.1. No changes needed.
    + Update B-D on systemd. Only required/available on [linux-any].
  * debian/{compat,control}:
    + Bump to DH version level 10.
  * debian/rules:
    + Migrate to dh_missing.
  * debian/patches:
    + Add 0001-Make-systemd-optional.-If-systemd-is-not-available-a.patch
      from upstream. Make systemd optional, fixes FTBFS on non-linux based
      Debian systems.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 06 Oct 2017 11:35:35 +0200

ayatana-indicator-application (0.5.1-1) experimental; urgency=medium

  * Initial release to Debian. (Closes: #863617).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 29 May 2017 13:17:41 +0200
