=== debian/control ===
Source: ayatana-indicator-application
Section: gnome
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper (>= 10.3~),
               dbus-test-runner,
               dpkg-dev (>= 1.16.1.1),
               mate-common,
               xvfb,
               libglib2.0-dev (>= 2.35.4),
               libgtk-3-dev (>= 2.91),
               libdbus-glib-1-dev (>= 0.82),
               libjson-glib-dev,
               intltool,
               libayatana-appindicator3-dev (>= 0.5.0~),
               libayatana-indicator3-dev (>= 0.6.0~),
               libdbusmenu-glib-dev (>= 0.5.90),
               libdbusmenu-gtk3-dev (>= 0.5.90),
               systemd [linux-any],
Standards-Version: 4.2.0
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-application
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-application.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-application

Package: ayatana-indicator-application
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common,
Description: Ayatana Application Indicators
 An indicator to take menus from external applications and place them in
 the panel.
 .
 The application supporting indicator based panel applets provides its
 menu tree via the DBus bus org.kde.StatusNotifierWatcher.
 .
 This version of application indicators accepts connections from any
 application built against either of the available indicator frameworks:
 Ayatana Indicators and Ubuntu Indicators.
