## ayatana-indicator-application 0.5.3

=== debian/changelog ===
ayatana-indicator-application (0.5.3-1) unstable; urgency=medium

  * New upstream release.
    - Avoid GLib2.0's deprecated privates ABI. (Closes: #945566)."
  * debian/patches:
    + Drop 0001-Make-systemd-optional.-If-systemd-is-not-available-a.patch.
      Shipped upstream.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump DH compat level to version 12.
  * debian/control:
    + Set Section: from gnome to x11.
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to "no".

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 27 Nov 2019 11:19:34 +0100
