=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: ayatana-indicator-application
-Section: gnome
+Section: x11
 Priority: optional
 Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: debhelper (>= 10.3~),
+Build-Depends: debhelper-compat (= 12),
                dbus-test-runner,
                dpkg-dev (>= 1.16.1.1),
                mate-common,
@@ -19,7 +19,8 @@
                libdbusmenu-glib-dev (>= 0.5.90),
                libdbusmenu-gtk3-dev (>= 0.5.90),
                systemd [linux-any],
-Standards-Version: 4.2.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-application
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-application.git
 Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-application
