## ayatana-indicator-application 22.2.0

=== debian/changelog ===
ayatana-indicator-application (22.2.0-2) unstable; urgency=medium

  * debian/control:
    + Replace systemd by systemd-dev in B-D. (Closes: #1060549).
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 May 2024 16:39:54 +0200

ayatana-indicator-application (22.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 18 Feb 2022 16:37:24 +0100

ayatana-indicator-application (0.8.91-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 27 Jan 2022 14:57:34 +0100

ayatana-indicator-application (0.8.90-1) unstable; urgency=medium

  * New upstream release.
  * debian/{control,rules}:
    + Adjust to new build system (CMake).
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.
    + Drop B-Ds: dbus-test-runner, xvfb. Not needed, no unit tests in this
      package.
    + Break too-long-line in LONG_DESCRIPTION; fix capitalization of Xfce.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/watch:
    + Use format version 4.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 04 Dec 2021 08:12:32 +0100
