=== debian/control ===
Source: ayatana-indicator-application
Section: x11
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Debian UBports Team <team+ubports@tracker.debian.org>,
Build-Depends: cmake (>= 3.13),
               cmake-extras,
               debhelper-compat (= 13),
               dpkg-dev (>= 1.16.1.1),
               libglib2.0-dev (>= 2.35.4),
               libgtk-3-dev (>= 2.91),
               libdbus-glib-1-dev (>= 0.82),
               libjson-glib-dev,
               intltool,
               libayatana-appindicator3-dev (>= 0.5.0~),
               libayatana-indicator3-dev (>= 0.6.0~),
               libdbusmenu-glib-dev (>= 0.5.90),
               libdbusmenu-gtk3-dev (>= 0.5.90),
               systemd-dev [linux-any],
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-application
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-application.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-application

Package: ayatana-indicator-application
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common (>= 0.8.0),
Description: Ayatana Applications Indicator (SNI provider)
 This Ayatana System Indicator takes menus from external applications and
 place them in the panel / designated indicator area.
 .
 An application supporting indicator based panel applets provides its
 menu tree via the DBus bus org.kde.StatusNotifierWatcher (SNI). An
 application providing such an indicator item is called an AppIndicator.
 .
 This package provides an SNI AppIndicator service that proxies panel
 menu items from AppIndicator application to a renderer supporting the
 Ayatana System Indicators implementation. It accepts connections from
 any application built against either of the available appindicator
 libraries: Ayatana AppIndicators, Ubuntu AppIndicators, or Qt's
 QSystemTrayIcon API.
 .
 Ayatana Indicators are only available on desktop environments that
 provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
 etc.).
